Subject: Re: How to disable dcache on MPC82xx platform

From: Dan Malek <[email-masked]>
Date: Tue, 9 Aug 2005 10:37:11 -0400

On Aug 8, 2005, at 10:30 PM, Prashant Alange wrote:

> I am using alloc_bootmem_page() function to allocate memory required
> in my custom ethernet driver.

Why?  Just use the normal Linux memory allocators.

>  So I am thinking this could be because of cache since this
> driver is working fine on non-os platform. I want to disable the
> dcache for this memory region.

This is a fully cache coherent processor, there is no need to
disable caching, nor is there any easy way to do this in the
current Linux implementation.  This would require a custom
kernel, and you couldn't take advantage of the general
performance gain using BATs.

Thanks.

	-- Dan